package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/dispatchmanage"
	jwt "go-admin/pkg/jwtauth"
)

// 需认证的路由代码
func registerErpDispatchManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	//erp := v1.Group("/erp").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//}
}

// 无需认证的路由代码
func registerErpDispatchManageUnAuthRouter(v1 *gin.RouterGroup) {
	erp := v1.Group("/erp")
	{
		erp.POST("dispatch_task_create", dispatchmanage.ErpDispatchTaskCreate)
		erp.POST("dispatch_task_list", dispatchmanage.ErpDispatchTaskList)
		erp.POST("dispatch_task_detail", dispatchmanage.ErpDispatchTaskDetail)
		erp.POST("dispatch_task_del", dispatchmanage.ErpDispatchTaskDel)
		erp.POST("dispatch_task_edit", dispatchmanage.ErpDispatchTaskEdit)
		erp.POST("dispatch_task_auditor", dispatchmanage.ErpDispatchTaskAuditor)
		erp.POST("dispatch_task_deliver", dispatchmanage.ErpDispatchTaskDeliver)
		//erp.POST("commodity_batch_import", commoditymanage.ErpCommodityBatchImport)
		//erp.POST("batch_import_view", commoditymanage.BatchImportView)

		//erp.POST("/supplier_save", commoditymanage.ErpSupplierSave)
		//erp.POST("/supplier_list", commoditymanage.ErpSupplierList)
		//erp.POST("/supplier_detail", commoditymanage.ErpSupplierDetail)
		//erp.POST("/supplier_del", commoditymanage.ErpSupplierDel)
		//
		//erp.POST("category_create", commoditymanage.ErpCategoryCreate)
		//erp.POST("category_list", commoditymanage.ErpCategoryList)
		//erp.POST("category_detail", commoditymanage.ErpCategoryDetail)
		//erp.POST("category_del", commoditymanage.ErpCategoryDel)
		//erp.POST("category_edit", commoditymanage.ErpCategoryEdit)
		//
		//erp.POST("cashier_store_create", commoditymanage.ErpCashierStoreCreate)
		//erp.POST("cashier_store_bind", commoditymanage.ErpCashierStoreBind)
		//erp.POST("cashier_store_del", commoditymanage.ErpCashierStoreDel)
		//erp.POST("cashier_store_list", commoditymanage.ErpCashierStoreList)
		//erp.POST("cashier_list", commoditymanage.ErpCashierList)

	}

}
